# Copyright © 2021 Arrikto Inc.  All Rights Reserved.

"""Snapshot a notebook."""

# Uncomment the following lines to enable Rok Python client logging
#import logging
#logging.basicConfig(level=logging.INFO)

from rok_gw_client import RokClient

NAMESPACE = "kubeflow-user"
NOTEBOOK_NAME = "presented-notebook"
BUCKET_NAME = "notebooks"
OBJECT = "jwa-test-0"
VERSION = None
DEFAULTS = {
    "GPUS": {
        "num": "1",
        "vendor": "nvidia.com/gpu",
    },
    "PULL_POLICY": "Always",
    "TOLERATIONS": [],
    "AFFINITY": {},
    "CONFIGURATIONS": ["access-rok", "access-ml-pipeline"],
    "ENVIRONMENT": [{"name": "APP_LANG",
                     "value": "English"}],
    "SHM": True,
}

rok_client = RokClient(account=NAMESPACE)

nb = rok_client.present_notebook(bucket=BUCKET_NAME, object=OBJECT,
                                 version=VERSION, notebook_name=NOTEBOOK_NAME,
                                 params=DEFAULTS)

print("Successfully created Notebook and underlying PVCs: %s/%s" %
      (NAMESPACE, nb["metadata"]["name"]))
